function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
import { HuiChartsPie } from "@opentinyvue/vue-huicharts-pie";
import { HuiChartsRing } from "@opentinyvue/vue-huicharts-ring";
import { HuiChartsBar } from "@opentinyvue/vue-huicharts-bar";
import { HuiChartsHistogram } from "@opentinyvue/vue-huicharts-histogram";
import { HuiChartsRadar } from "@opentinyvue/vue-huicharts-radar";
import { HuiChartsLine } from "@opentinyvue/vue-huicharts-line";
import { AutonaviMap } from "@opentinyvue/vue-huicharts-amap";
import { BaiduMap } from "@opentinyvue/vue-huicharts-bmap";
import { HuiChartsBoxplot } from "@opentinyvue/vue-huicharts-boxplot";
import { HuiChartsCandle } from "@opentinyvue/vue-huicharts-candle";
import { HuiChartsFunnel } from "@opentinyvue/vue-huicharts-funnel";
import { HuiChartsGauge } from "@opentinyvue/vue-huicharts-gauge";
import { HuiChartsGraph } from "@opentinyvue/vue-huicharts-graph";
import { HuiChartsHeatmap } from "@opentinyvue/vue-huicharts-heatmap";
import { HuiChartsLiquidfill } from "@opentinyvue/vue-huicharts-liquidfill";
import { HuiChartsMap } from "@opentinyvue/vue-huicharts-map";
import { HuiChartsSankey } from "@opentinyvue/vue-huicharts-sankey";
import { HuiChartsScatter } from "@opentinyvue/vue-huicharts-scatter";
import { HuiChartsSunburst } from "@opentinyvue/vue-huicharts-sunburst";
import { HuiChartsTree } from "@opentinyvue/vue-huicharts-tree";
import { HuiChartsWaterfall } from "@opentinyvue/vue-huicharts-waterfall";
import { HuiChartsWordcloud } from "@opentinyvue/vue-huicharts-wordcloud";
import Core from "@opentinyvue/vue-huicharts-core";
import { defineComponent, $prefix, h } from "@opentinyvue/vue-common";
var HuiCharts = defineComponent({
  name: $prefix + "HuiCharts",
  props: _extends({}, Core.props, {
    type: {
      type: String
    }
  }),
  data: function data() {
    this.chartLib = {
      bar: HuiChartsBar,
      histogram: HuiChartsHistogram,
      line: HuiChartsLine,
      pie: HuiChartsPie,
      ring: HuiChartsRing,
      radar: HuiChartsRadar,
      autonaviMap: AutonaviMap,
      baiduMap: BaiduMap,
      boxplot: HuiChartsBoxplot,
      candle: HuiChartsCandle,
      funnel: HuiChartsFunnel,
      gauge: HuiChartsGauge,
      graph: HuiChartsGraph,
      heatmap: HuiChartsHeatmap,
      liquidfill: HuiChartsLiquidfill,
      map: HuiChartsMap,
      sankey: HuiChartsSankey,
      scatter: HuiChartsScatter,
      sunburst: HuiChartsSunburst,
      tree: HuiChartsTree,
      waterfall: HuiChartsWaterfall,
      wordcloud: HuiChartsWordcloud
    };
    return {};
  },
  methods: _extends({
    ready: function ready(val) {
      this.$emit("ready", val);
    },
    readyOnce: function readyOnce(val) {
      this.$emit("readyOnce", val);
    },
    handleColor: function handleColor(val) {
      this.$emit("handle-color", val);
    }
  }, Core.methods),
  render: function render() {
    return h("div", {
      style: {
        width: this.width,
        height: this.height,
        position: "relative"
      }
    }, [
      h(this.chartLib[this.settings.type || this.type], {
        props: _extends({}, this.$props),
        on: {
          ready: this.ready,
          readyOnce: this.readyOnce,
          handleColor: this.handleColor
        }
      }),
      // eslint-disable-next-line vue/require-slots-as-functions
      this.$slots.default
    ]);
  }
});
var version = "3.21.0";
HuiCharts.install = function(Vue) {
  Vue.component(HuiCharts.name, HuiCharts);
};
HuiCharts.version = version;
export {
  HuiCharts as default
};
